Extends for Firebird

category | ZendX
package | ZendX_Db
subpackage | Statement
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## Executes a prepared statement.

    _execute(array $params = null) : boolean

### Parameters

#### $params

`array`

OPTIONAL Values to bind to parameter placeholders.

### Exceptions

`\ZendX_Db_Statement_Firebird_Exception` |

### Returns

`boolean`

## _prepare()

    _prepare(string $sql) : void

### Parameters

#### $sql

`string`

### Exceptions

`\ZendX_Db_Statement_Firebird_Exception` |

## Closes the cursor and the statement.

    close() : boolean

### Returns

`boolean`

## Closes the cursor, allowing the statement to be executed again.

    closeCursor() : boolean

### Returns

`boolean`

## Returns the number of columns in the result set.

    columnCount() : integer

Returns null if the statement has no result set metadata.

### Returns

`integer`The number of columns.

## Retrieves the error code, if any, associated with the last operation on the statement handle.

    errorCode() : string

### Returns

`string`error code.

## Retrieves an array of error information, if any, associated with the last operation on the statement handle.

    errorInfo() : array

### Returns

`array`

## Fetches a row from the result set.

    fetch(integer $style = null, integer $cursor = null, integer $offset = null) : mixed

### Parameters

#### $style

`integer`

OPTIONAL Fetch mode for this fetch operation.

#### $cursor

`integer`

OPTIONAL Absolute, relative, or other.

#### $offset

`integer`

OPTIONAL Number for absolute or relative cursors.

### Exceptions

`\Zend_Db_Statement_Exception` |

### Returns

`mixed`Array, object, or scalar depending on fetch mode.

## Retrieves the next rowset (result set) for a SQL statement that has multiple result sets. An example is a stored procedure that returns the results of multiple queries.

    nextRowset() : boolean

### Exceptions

`\ZendX_Db_Statement_Firebird_Exception` |

### Returns

`boolean`

## Returns the number of rows affected by the execution of the last INSERT, DELETE, or UPDATE statement executed by this statement object.

    rowCount() : integer

### Exceptions

`\Zend_Db_Statement_Exception` |

### Returns

`integer`The number of rows affected.

## Binds a parameter to the specified variable name.

    _bindParam(mixed $parameter, mixed $variable, mixed $type = null, mixed $length = null, mixed $options = null) : boolean

### Parameters

#### $parameter

`mixed`

Name the parameter, either integer or string.

#### $variable

`mixed`

Reference to PHP variable containing the value.

#### $type

`mixed`

OPTIONAL Datatype of SQL parameter.

#### $length

`mixed`

OPTIONAL Length of SQL parameter.

#### $options

`mixed`

OPTIONAL Other options.

### Exceptions

`\ZendX_Db_Statement_Firebird_Exception` |

### Returns

`boolean`

### Properties

## Column names.

    $_keys : array

### Default

`array()`

## $_meta

    $_meta : array

### Default

`null`

## The firebird_stmtResult resource.

    $_stmtColumnCount : \firebird_result

### Default

`0`

## The firebird_stmtPrepared resource.

    $_stmtPrepared : \firebird_stmtPrepared

### Default

`null`

## The firebird_stmtResult resource.

    $_stmtResult : \firebird_result

### Default

`null`

## The firebird_stmtResult resource.

    $_stmtRowCount : \firebird_result

### Default

`0`

## Fetched result values.

    $_values : array

### Default

`array()`